Delete Tracking Link
Delete a specific tracking link for a Fansly account.
Delete a tracking link by providing its trackingLinkId.
https://v1.apifansly.com
DELETE
/api/fansly/{account_id}/tracking-links
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
curl -X DELETE "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"trackingLinkId": "unique_tracking_link_identifier"
}'fetch("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links", {
method: "DELETE",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
trackingLinkId: "xxxxxxxxxxxxxxxx"
})
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"trackingLinkId": "unique_tracking_link_identifier"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
String jsonBody = "{\"trackingLinkId\":\"xxxxxxxxxxxxxxxx\"}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.method("DELETE", HttpRequest.BodyPublishers.ofString(jsonBody))
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"trackingLinkId\":\"xxxxxxxxxxxxxxxx\"}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var request = new HttpRequestMessage(HttpMethod.Delete, "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links");
request.Content = content;
var response = await client.SendAsync(request);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"
jsonBody := []byte(`{"trackingLinkId":"unique_tracking_link_identifier"}`)
req, _ := http.NewRequest("DELETE", url, bytes.NewBuffer(jsonBody))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Parameters
To delete a tracking link for a specific account, you must provide the account_id in the URL path.
account_id*
stringThe unique identifier for the connected account, retrieved from your Dashboard.
Body Structure
trackingLinkId*
stringThe unique identifier of the tracking link to delete.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true
}
},
"timestamp": "2026-03-21T04:28:01.816Z"
}